Summary:	Backup software
Summary(hu.UTF-8):	Backup szoftver
Summary(pl.UTF-8):	Oprogramowanie do robienia kopii zapasowych
Name:		rdiff-backup
Version:	2.2.6
Release:	2
License:	GPL
Group:		Networking/Utilities
Source0:	https://files.pythonhosted.org/packages/source/r/rdiff-backup/%{name}-%{version}.tar.gz
# Source0-md5:	cc055b501f004c1828664755ae039c28
URL:		http://www.nongnu.org/rdiff-backup/
BuildRequires:	librsync-devel >= 0.9.7-5
BuildRequires:	popt-devel
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-setuptools_scm
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python3-modules
Requires:	python3-pylibacl
Requires:	python3-pyxattr >= 0.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rdiff-backup is a script, written in Python, that backs up one
directory to another and is intended to be run periodically (nightly
from cron for instance). The target directory ends up a copy of the
source directory, but extra reverse diffs are stored in the target
directory, so you can still recover files lost some time ago. The idea
is to combine the best features of a mirror and an incremental backup.
rdiff-backup can also operate in a bandwidth efficient manner over a
pipe, like rsync. Thus you can use rdiff-backup and SSH to securely
back a hard drive up to a remote location, and only the differences
from the previous backup will be transmitted.

%description -l hu.UTF-8
rdiff-backup egy Python-ban írt szkript, amely egy könyvtárról csinál
biztonsági másolatot egy másik könyvtárba és futtatható periódikusan
is (pl. éjszakánként cron-ból). A célkönyvtárban a forráskönyvtár
másolata jelenik meg, de extra visszafejthető különbségeket is tárol,
így vissza tudod állítani a rég elvesztett fájlokat. Az ötlet a
mirror-ozás és a növekményées backup legjobb tulajdonságainak
kombinálása. Az rdiff-backup képes SSH-val is együttműködni, hogy a
meghajtót egy távoli helyre backup-olja, és csak a különbségeket
küldje el.

%description -l pl.UTF-8
rdiff-backup jest skryptem napisanym w Pythonie, służącym do robienia
kopii zapasowych. Pomyślany został w taki sposób, aby działać okresowo
- na przykład w nocy, poprzez crona. Katalog docelowy po zakończeniu
działania skryptu zawiera kopię katalogu źródłowego, ale dodatkowo w
katalogu docelowym przechowywane są dodatkowe informacje o zmianach,
co umożliwia odzyskanie plików sprzed jakiegoś czasu. Ideą działania
skryptu jest połączenie funkcjonalności mirrorowania oraz
przyrostowych kopii zapasowych. rdiff-backup potrafi również być
przyjaznym dla łącza umożliwiając backup przez sieć z wykorzystaniem
bezpiecznego połączenia SSH, gdzie jedynymi przesyłanymi danymi będą
różnice w stosunku do poprzedniej kopii zapasowej.

%package -n bash-completion-rdiff-backup
Summary:	bash-completion for rdiff-backup commands
Summary(pl.UTF-8):	Bashowe uzupełnianie poleceń rdiff-backup
Group:		Applications/Shells
Requires:	bash-completion >= 2.0
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description -n bash-completion-rdiff-backup
bash-completion for rdiff-backup commands.

%description -n bash-completion-rdiff-backup -l pl.UTF-8
Bashowe uzupełnianie poleceń rdiff-backup.

%prep
%setup -q

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.adoc README.adoc docs/FAQ.adoc docs/examples.adoc
%attr(755,root,root) %{_bindir}/rdiff-backup
%attr(755,root,root) %{_bindir}/rdiff-backup-delete
%attr(755,root,root) %{_bindir}/rdiff-backup-statistics
%{_mandir}/man1/rdiff-backup.1*
%{_mandir}/man1/rdiff-backup-statistics.1*
%{py3_sitedir}/rdiff_backup*.egg-info
%dir %{py3_sitedir}/rdiff_backup
%{py3_sitedir}/rdiff_backup/__pycache__
%{py3_sitedir}/rdiff_backup/*.py
%attr(755,root,root) %{py3_sitedir}/rdiff_backup/*.so
%{py3_sitedir}/rdiffbackup
%{_mandir}/man1/rdiff-backup-delete.1*
%{_mandir}/man1/rdiff-backup-old.1*

%files -n bash-completion-rdiff-backup
%defattr(644,root,root,755)
%{bash_compdir}/rdiff-backup
%changelog
* Mon Mar 10 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rdiff-backup.git;a=log;h=master

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> e93ed19
- python 3.13 rebuild

* Mon Sep 11 2023 Jan Rękorajski <baggins@pld-linux.org> 04e8b5d
- up to 2.2.6

* Sat Apr 21 2018 Jan Rękorajski <baggins@pld-linux.org> 623b1ab
- fix building with librsync 1.0+
- better handle hardlinks
- rel 6

* Fri Dec 06 2013 Jan Rękorajski <baggins@pld-linux.org> b2ab308
- fixed doc install
- don't package py sources
- rel 5

* Sun Jul 21 2013 Jan Rękorajski <baggins@pld-linux.org> 9a7ad2e
- Revert "- bash-completion subpackage"

* Mon Jan 09 2012 Paweł Gołaszewski <blues@pld-linux.org> 237a3aa
- rel.4

* Tue Jun 21 2011 Zsolt Udvari <uzsolt@pld-linux.org> c401336
- bash-completion subpackage
- rel up

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d89054
- release 2

* Mon Mar 16 2009 areq <areq@pld-linux.org> d4d3b58
- 1.2.8

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 18685fd
- release 2

* Fri Mar 13 2009 duddits <duddits@pld-linux.org> 74b8817
- fixing moving between branches

* Fri Mar 13 2009 duddits <duddits@pld-linux.org> 111a1fa
- 1.3.2
- DEVEL branch

* Thu Mar 05 2009 Zsolt Udvari <uzsolt@pld-linux.org> bc44189
- hu desc and summary

* Tue Mar 03 2009 areq <areq@pld-linux.org> c2a5990
- 1.2.7

* Sat Feb 14 2009 areq <areq@pld-linux.org> d29e826
- 1.2.6

* Wed Jan 07 2009 areq <areq@pld-linux.org> 777ea08
- 1.2.5

* Thu Jan 01 2009 areq <areq@pld-linux.org> 03485d2
- 1.2.4

* Tue Dec 30 2008 areq <areq@pld-linux.org> 12f0f63
- R: python-pyxattr >= 0.4.0

* Mon Dec 29 2008 areq <areq@pld-linux.org> d340190
- 1.2.3

* Sun Oct 19 2008 areq <areq@pld-linux.org> 9b8d743
- 1.2.2

